Show deleted wiki pages or wiki files on the activity

2007-08-15 02:55 - Matt Jones

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The problem with this, is that the Activity section is the first page I go to see if anything has happened in my project.

So someone with 'wiki delete' and 'file delete' permissions could go in, and delete pages and files. I would never know

if they did this until I checked the wiki manually.

What I would do is this:

1. For files added to the wiki, I would add a link to the page in the Activity section

2. For files deleted in the wiki, I would add a link to that wiki page in the Activity section

3. For wiki pages deleted, I would just add text saying what page was deleted in the Activity section. We cant link to

a page that no longer exists.

Related issues:

Related to Redmine - Feature #4288: Maintain activity traces of an issue afte... New 2009-11-25

Related to Redmine - Feature #18295: Soft delete of wiki pages New

History

#1 - 2008-01-20 06:34 - Alex Aktion

Also, Activity doesn't show updates on issues.

All updates seen only in email or Issues tracker:(

#2 - 2008-04-22 10:53 - Thomas Lecavelier

May be a feature request rather a defect, but yes: I agree with this addendum to Activity tab.

#3 - 2008-12-05 16:12 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#4 - 2008-12-05 16:12 - Jean-Philippe Lang

- Subject changed from Activity section does not show deleted wiki pages or wiki files to Show deleted wiki pages or wiki files on the activity

#5 - 2011-03-24 10:34 - Toshi MARUYAMA

- Category set to Wiki

#6 - 2012-10-31 17:21 - Daniel Felix

This feature is still not implemented. Just tried in Redmine 2.1.2-devel.

#7 - 2014-11-11 12:57 - Jean-Philippe Lang

- Related to Feature #18295: Soft delete of wiki pages added

#9 - 2017-11-08 14:18 - Dipan Mehta

This is the oldest issue (feature) alive now! Almost 10 years.

#10 - 2018-02-20 10:35 - Alexander Ryabinovskiy

I agree :)

#11 - 2023-06-01 20:17 - Fernando Hartmann
+1

#12 - 2023-09-29 15:49 - C S

I agree about the issue - but since I can imagine scenarios where this isn't desired, it should be a configurable option

+1
